summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/resolv/Manifest1
-rw-r--r--dev-ruby/resolv/resolv-0.6.1.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-ruby/resolv/Manifest b/dev-ruby/resolv/Manifest
index 1c89826269b7..5225eb50e280 100644
--- a/dev-ruby/resolv/Manifest
+++ b/dev-ruby/resolv/Manifest
@@ -1 +1,2 @@
DIST resolv-0.6.0.tar.gz 34562 BLAKE2B ecf189e3e0f75ef2329f0b904c1edc224e617698b313bd503329fc44444b0eb766c681dfec632a23d0ac266ccf90558afc13561bb82932c5513006d7110a2851 SHA512 46e4b42277f85fceed0308714b3253b2245f647bf100e129c2245dfc9cdc8c1c1b431ef138c3391381096173e0c0c7b67dc2003c5a16ac969603bcf01467bb4e
+DIST resolv-0.6.1.tar.gz 35296 BLAKE2B af6b445d5c7a18530c11482bff71eab3c96fd2ef67364545c1776402132b22412e754f690f6f42e1048cc85e7d4f87a173991bb735d2d6dcb2fd666567787292 SHA512 d0aa365726f6d2032c2d9725d1b106c607be5c95f57e424498259ad5561ceb97d218c5685da48339f3b9ca742d9f1cfe337118a2f2f7739a3ffb9ec43d59bc81
diff --git a/dev-ruby/resolv/resolv-0.6.1.ebuild b/dev-ruby/resolv/resolv-0.6.1.ebuild
new file mode 100644
index 000000000000..0f062d15ace2
--- /dev/null
+++ b/dev-ruby/resolv/resolv-0.6.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="resolv.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Thread-aware DNS resolver library in Ruby"
+HOMEPAGE="https://github.com/ruby/resolv"
+SRC_URI="https://github.com/ruby/resolv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # The extension is only compiled on win32
+ sed -e '/if RUBY_ENGINE/ s/$/ and false/' \
+ -i Rakefile || die
+}
+
+each_ruby_install() {
+ each_fakegem_install
+
+ # The extension is only compiled on Win32, but we still need to mark
+ # that task as done.
+ ruby_fakegem_extensions_installed
+}